/*
 * @(#)AllTests.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import test.info.dragonlady.sso.servlet.SSOBaseServletTest;
import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * TODO ƒNƒ‰ƒXŠT—v
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/06/08 10:31:46 $
 */
public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for test.info.dragonlady.sso");
		//$JUnit-BEGIN$
		suite.addTestSuite(AssertionConsumerTest.class);
		suite.addTestSuite(AssertionManagerTest.class);
		suite.addTestSuite(ResponderResourceTest.class);
		suite.addTestSuite(ResponderTest.class);
		suite.addTestSuite(ConsumerResourceTest.class);
		suite.addTestSuite(IDProviderFactoryTest.class);
		suite.addTestSuite(RequesterTest.class);
		suite.addTestSuite(SSOBaseServletTest.class);
		suite.addTestSuite(ArtifactReceiverTest.class);
		suite.addTestSuite(SiteTransferTest.class);
		suite.addTestSuite(ReceiverResourceTest.class);
		suite.addTestSuite(SSOConfigTest.class);
		suite.addTestSuite(SSOContextTest.class);
		suite.addTestSuite(SSOExceptionTest.class);
		suite.addTestSuite(RequestFailedExceptionTest.class);
		suite.addTestSuite(SimpleIDProviderTest.class);
		suite.addTestSuite(AssertionNotFoundExceptionTest.class);
		//$JUnit-END$
		return suite;
	}

}
